#!/usr/local/bin/perl -w

$infile = "res_meme";
open(IN, $infile) || die "Can't open $infile :$!\n";

$outfile = "res_meme2seal";
open(OUT, ">$outfile") || die "Can't open $outfile :$!\n";

$seqfile = "../data/EG858_up50_dw30";

while(<IN>){
	chomp;
	@data = split(/\s+/);
	$_ = $data[2];
	if($data[1] >= 11){
		$up = 10;
	}else{
		$up = $data[1]-1;
	}
	($sdseq) = /\w{$up}(\w{10})/;

	open(SEQ, $seqfile) || die "Can't open $seqfile :$!\n";
	while(<SEQ>){
		next unless(/$data[0]/);
		chomp;
		@seq = split(/\s+/);
		$input = "\-" x $data[1];
		$seq[$#seq] =~ s/(\w{30})$/$input$1/;
		$input = "\-" x (20-$data[1]);
		$seq[$#seq] =~ s/$seq[$#seq]/$input$seq[$#seq]/;
		$input = "\-" x $data[1];
		$seq[$#seq] =~ s/$sdseq/\-$sdseq\-/;
		print OUT ">$seq[0]\n$seq[$#seq]\n";
		last;
	}
	
}

